> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding details

> Returns the business's funding details.



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/businesses/{businessId}/funding-details
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/businesses/{businessId}/funding-details:
    get:
      tags:
        - Businesses
      summary: Get funding details
      description: Returns the business's funding details.
      operationId: getFundingDetails
      parameters:
        - $ref: '#/components/parameters/businessId'
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetFundingDetailsResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    businessId:
      name: businessId
      in: path
      description: The unique identifier for the business
      required: true
      schema:
        type: string
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetFundingDetailsResponse:
      description: Funding details for the account
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/FundingDetails'
          examples:
            multiple_funding_accounts:
              summary: Multiple funding accounts in different currencies
              value:
                data:
                  - type: ach
                    currency: USD
                    accountName: Acme Corp
                    accountNumber: '123456789'
                    routingNumber: '000000000'
                    bankName: Example Bank
                    accountType: Checking
                  - type: iban
                    currency: EUR
                    accountName: Acme Corp
                    accountNumber: DE00000000000000000000
                    swiftCode: EXMPDEFF
                    bankName: Example Bank
                    country: DE
            single_funding_account:
              summary: Single funding account
              value:
                data:
                  - type: ach
                    currency: USD
                    accountName: Acme Corp
                    accountNumber: '123456789'
                    routingNumber: '000000000'
                    bankName: Example Bank
                    accountType: Checking
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  schemas:
    FundingDetails:
      type: object
      required:
        - type
        - currency
      properties:
        type:
          type: string
          enum:
            - ach
            - wire
            - iban
            - bank
            - swift
            - crypto
          description: The type of funding method
          example: ach
        currency:
          type: string
          description: ISO 4217 currency code
          example: USD
        accountName:
          type: string
          description: Name on the account
          example: Acme Corp
        accountNumber:
          type: string
          description: Account number (for ACH, bank, wire) or IBAN (for iban type)
          example: '123456789'
        routingNumber:
          type: string
          description: Routing number (for ACH, bank, wire)
          example: '000000000'
        bankName:
          type: string
          description: Name of the bank
          example: Example Bank
        accountType:
          type: string
          enum:
            - Checking
            - Savings
          description: Type of account (for ACH, bank)
          example: Checking
        swiftCode:
          type: string
          description: SWIFT/BIC code (for iban, swift types)
          example: EXMPGB2L
        country:
          type: string
          description: Country code (for iban type)
          example: GB
        address:
          type: string
          description: Crypto wallet address (for crypto type)
          example: '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
        chain:
          type: string
          description: Blockchain chain (for crypto type)
          example: ETH
        cryptoType:
          type: string
          description: Type of cryptocurrency (for crypto type)
          example: USDC
        memo:
          type: string
          description: Memo or reference (for crypto type)
          example: '123456'
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````